/**
 * OWASP GoatDroid Project
 * 
 * This file is part of the Open Web Application Security Project (OWASP)
 * GoatDroid project. For details, please see
 * https://www.owasp.org/index.php/Projects/OWASP_GoatDroid_Project
 *
 * Copyright (c) 2012 - The OWASP Foundation
 * 
 * GoatDroid is published by OWASP under the GPLv3 license. You should read and accept the
 * LICENSE before you use, modify, and/or redistribute this software.
 * 
 * @author Jack Mannino (Jack.Mannino@owasp.org https://www.owasp.org/index.php/User:Jack_Mannino)
 * @author Walter Tighzert
 * @created 2012
 */
package org.owasp.goatdroid.fourgoats.misc;

public class Constants {

	static final public String LOGIN_FAILED = "Login failed. Try again.";
	static final public String WEIRD_ERROR = "Something weird happened";
	static final public String REGISTRATION_SUCCESS = "Registration complete!";
	static final public String PASSWORDS_DONT_MATCH = "Passwords didn't match";
	static final public String ALL_FIELDS_REQUIRED = "All fields are required";
	static final public String VENUE_DOESNT_EXIST = "Venue does not exist";
	static final public String CHECKIN_GREAT_SUCCESS = "Checkin complete, great success!";
	static final public String MEGA_FAIL = "#fail #fail #fail";
	public static final String INVALID_SESSION = "Invalid session";
	public static final String FRIEND_REQUEST_SENT = "Friend request sent!";
	public static final String FRIEND_REQUEST_ACCEPTED_SENT = "Friend request has been accepted!";
	public static final String FRIEND_REQUEST_DECLINED_SENT = "Friend request has been declined!";
	public static final String PREFERENCES_UPDATE_SUCCESS = "Preferences have been updated!";
	public static final String COMMENT_SUCCESS = "Your comment has been posted!";
	public static final String COMMENT_SUCCESSFULLY_REMOVED = "Comment has been removed!";
	public static final String DATE_FORMAT = "yyyy-MM-dd HH:mm:ss";
	public static final String REWARD_EARNED = "You've earned a reward: ";
	public static final String TEXT_MESSAGE_SENT = "Your text message has been sent!";
	public static final String DESTINATION_INFORMATION_SUCCESS = "Now you are ready to use the app!";
	public static final String DELETION_SUCCESS = "Account was successfully deleted";
	public static final String PASSWORD_RESET_SUCCESS = "Password was successfully reset";
	public static final String COULD_NOT_CONNECT = "Could not contact the remote service";
	public static final String NEVER_CHECKED_IN = "You have never checked in";
	public static final String SELF_NO_CHECKINS = "You have never checked in anywhere. You should try it sometime, it's fun!";
	public static final String OTHER_NO_CHECKINS = "This person has never checked in. Pretty boring, if you ask me!";
	public static final String NO_LOCATION = "I don't know where you are. I need your location";
	public static final String SUCCESS_API_AUTH = "You have successfully authenticated.";
}
