/**
 * OWASP GoatDroid Project
 * 
 * This file is part of the Open Web Application Security Project (OWASP)
 * GoatDroid project. For details, please see
 * https://www.owasp.org/index.php/Projects/OWASP_GoatDroid_Project
 *
 * Copyright (c) 2012 - The OWASP Foundation
 * 
 * GoatDroid is published by OWASP under the GPLv3 license. You should read and accept the
 * LICENSE before you use, modify, and/or redistribute this software.
 * 
 * @author Jack Mannino (Jack.Mannino@owasp.org https://www.owasp.org/index.php/User:Jack_Mannino)
 * @created 2012
 */
package org.owasp.goatdroid.herdfinancial.misc;

public class Constants {

	static final public String DATE_FORMAT = "yyyy-MM-dd HH:mm:ss";
	static final public String ALL_FIELDS_REQUIRED = "All fields are required";
	static final public String DESTINATION_INFORMATION_SUCCESS = "Now you are ready to use the app!";
	static final public String LOGIN_FAILED = "Login failed. Try again.";
	static final public String WEIRD_ERROR = "Something weird happened";
	static final public String REGISTRATION_SUCCESS = "Registration complete!";
	static final public String PASSWORDS_DONT_MATCH = "Passwords didn't match";
	static final public String TRANSFER_SUCCESS = "Transfer was successful!";
	static final public String AUTHORIZE_SUCCESS = "Authorization was successful";
	static final public String SET_SECRET_QUESTIONS_SUCCESS = "Secret questions have been set!";
	static final public String SECRET_QUESTION_NOT_MATCH = "Your secret question answer was incorrect";
	static final public String SECRET_QUESTION_SUCCESS = "Your answer was correct. Your password reset code has been sent. "
			+ "Check your text messages.";
	static final public String INVALID_USERNAME = "Invalid username";
	static final public String NO_SECRET_QUESTIONS = "You have not set any secret questions";
	static final public String INVALID_RESET_CODE = "Invalid reset code";
	static final public String PASSWORD_RESET_SUCCESS = "Your password has been reset";
	public static final String COULD_NOT_CONNECT = "Could not contact the remote service";
	public static final String INVALID_SESSION = "Your session is invalid or expired";
	public static final String EXPORT_SUCCESS = "Export completed successfully!";
	public static final String INVALID_CREDENTIALS = "Invalid credentials";
}
